#include "graphicsScene.h"
#include <QDebug>
#include <QGraphicsEllipseItem>
#include <QGraphicsPathItem>
#include <QPainterPath>

GraphicsScene::GraphicsScene(QObject *parent) :
    QGraphicsScene(parent)
{
//	this->setBackgroundBrush(Qt::gray);
}

void GraphicsScene::mouseDoubleClickEvent(QGraphicsSceneMouseEvent * mouseEvent)
{
//	Debug() << Q_FUNC_INFO << mouseEvent->scenePos();
    QGraphicsScene::mouseDoubleClickEvent(mouseEvent);
}

void GraphicsScene::mouseMoveEvent(QGraphicsSceneMouseEvent * mouseEvent)
{
//	qDebug() << Q_FUNC_INFO << mouseEvent->scenePos();
	extern QPointF mousepoint;
	extern int mousemoved;
	extern int hoverTime;
	mousepoint = mouseEvent->scenePos();
	mousemoved = 1;
	hoverTime = 10;

    QGraphicsScene::mouseMoveEvent(mouseEvent);
}

void GraphicsScene::mousePressEvent(QGraphicsSceneMouseEvent * mouseEvent)
{
//	qDebug() << Q_FUNC_INFO << mouseEvent->scenePos();
    QGraphicsScene::mousePressEvent(mouseEvent);
}

void GraphicsScene::mouseReleaseEvent(QGraphicsSceneMouseEvent * me)
{
//	qDebug() << Q_FUNC_INFO << me->scenePos();
	extern int mousereleased;
	mousereleased = 1;
	QGraphicsScene::mouseReleaseEvent(me);
}
